Get a monitor
curl --request GET \
--url https://api.arize.com/v2/monitors/{monitor_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arize.com/v2/monitors/{monitor_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arize.com/v2/monitors/{monitor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.arize.com/v2/monitors/{monitor_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.arize.com/v2/monitors/{monitor_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.arize.com/v2/monitors/{monitor_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.arize.com/v2/monitors/{monitor_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "TW9uaXRvcjo4NzEwMToxMlo5Wg==",
"name": "Test Monitor",
"project_id": "TW9kZWw6ODU0MjAxODQ6RFNxUg==",
"uri": "https://app.arize.com/organizations/ZXhhbXBsZU9yZ2FuaXphdGlvbjo1Njg6V2RnREk=/spaces/U3BhY2U6NzU1OnBsR1c=/monitors/TW9uaXRvcjo4NzEwMToxMlo5Wg==",
"status": "TRIGGERED",
"created_at": "2026-07-09T22:07:34.010Z",
"updated_at": "2026-07-09T23:22:14.638Z",
"threshold": {
"type": "DYNAMIC_RANGE",
"calculation": "STDEV",
"lower": {
"operator": "GREATER_THAN",
"multiplier": 0.00001
},
"upper": {
"operator": "LESS_THAN_OR_EQUAL",
"multiplier": 0.00001
}
},
"notifications_enabled": true,
"manual_evaluation_enabled": false,
"created_by_user_id": "VXNlcjoxMTIzOlRlc3Rlcg==",
"filters": [
{
"dimension": {
"category": "LLM_EVAL",
"name": "eval.Test Eval.label"
},
"operator": "CONTAINS_STRING",
"values": [
"No Value",
"NULL"
]
},
{
"dimension": {
"category": "USER_ANNOTATION",
"name": "annotation.Accuracy.score"
},
"operator": "EQUALS",
"values": [
"NULL"
]
}
],
"notification_configs": [
{
"type": "EMAIL",
"email_address": "test.user1@example.com"
},
{
"type": "EMAIL",
"email_address": "test.user2@example.com"
},
{
"type": "EMAIL",
"email_address": "test.admin@example.com"
},
{
"type": "WEBHOOK",
"id": "V2ViaG9vazoyMzpBczpH",
"url": "https://webhook.site/test-webhook-1"
},
{
"type": "WEBHOOK",
"id": "V2ViaG9vazoyNDpTdW5x",
"url": "https://testsite.com/test5"
}
],
"downtime": {
"start": "2026-07-09T22:47:02.155Z",
"duration_seconds": 3600,
"frequency_days": 1
},
"scheduled_runtime": {
"enabled": true,
"cadence_seconds": 10800,
"days_of_week": [
0
]
},
"evaluation_window_length_seconds": 86400,
"delay_seconds": 0,
"evaluated_at": "2026-07-09T23:00:00.000Z",
"latest_computed_value": 251,
"notes": "This monitor should trigger when the metric moves slightly above the baseline.",
"type": "TRACING",
"metric": "COUNT",
"dimension": {
"category": "SPAN_ATTRIBUTE",
"name": "attributes.output.value"
}
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Monitors
Get a monitor
Get a monitor by its ID.
The response shape varies by type (data_quality, performance,
drift, custom_metric, tracing)
This endpoint is in alpha, read more here.
GET
/
v2
/
monitors
/
{monitor_id}
Get a monitor
curl --request GET \
--url https://api.arize.com/v2/monitors/{monitor_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arize.com/v2/monitors/{monitor_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arize.com/v2/monitors/{monitor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.arize.com/v2/monitors/{monitor_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.arize.com/v2/monitors/{monitor_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.arize.com/v2/monitors/{monitor_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.arize.com/v2/monitors/{monitor_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "TW9uaXRvcjo4NzEwMToxMlo5Wg==",
"name": "Test Monitor",
"project_id": "TW9kZWw6ODU0MjAxODQ6RFNxUg==",
"uri": "https://app.arize.com/organizations/ZXhhbXBsZU9yZ2FuaXphdGlvbjo1Njg6V2RnREk=/spaces/U3BhY2U6NzU1OnBsR1c=/monitors/TW9uaXRvcjo4NzEwMToxMlo5Wg==",
"status": "TRIGGERED",
"created_at": "2026-07-09T22:07:34.010Z",
"updated_at": "2026-07-09T23:22:14.638Z",
"threshold": {
"type": "DYNAMIC_RANGE",
"calculation": "STDEV",
"lower": {
"operator": "GREATER_THAN",
"multiplier": 0.00001
},
"upper": {
"operator": "LESS_THAN_OR_EQUAL",
"multiplier": 0.00001
}
},
"notifications_enabled": true,
"manual_evaluation_enabled": false,
"created_by_user_id": "VXNlcjoxMTIzOlRlc3Rlcg==",
"filters": [
{
"dimension": {
"category": "LLM_EVAL",
"name": "eval.Test Eval.label"
},
"operator": "CONTAINS_STRING",
"values": [
"No Value",
"NULL"
]
},
{
"dimension": {
"category": "USER_ANNOTATION",
"name": "annotation.Accuracy.score"
},
"operator": "EQUALS",
"values": [
"NULL"
]
}
],
"notification_configs": [
{
"type": "EMAIL",
"email_address": "test.user1@example.com"
},
{
"type": "EMAIL",
"email_address": "test.user2@example.com"
},
{
"type": "EMAIL",
"email_address": "test.admin@example.com"
},
{
"type": "WEBHOOK",
"id": "V2ViaG9vazoyMzpBczpH",
"url": "https://webhook.site/test-webhook-1"
},
{
"type": "WEBHOOK",
"id": "V2ViaG9vazoyNDpTdW5x",
"url": "https://testsite.com/test5"
}
],
"downtime": {
"start": "2026-07-09T22:47:02.155Z",
"duration_seconds": 3600,
"frequency_days": 1
},
"scheduled_runtime": {
"enabled": true,
"cadence_seconds": 10800,
"days_of_week": [
0
]
},
"evaluation_window_length_seconds": 86400,
"delay_seconds": 0,
"evaluated_at": "2026-07-09T23:00:00.000Z",
"latest_computed_value": 251,
"notes": "This monitor should trigger when the metric moves slightly above the baseline.",
"type": "TRACING",
"metric": "COUNT",
"dimension": {
"category": "SPAN_ATTRIBUTE",
"name": "attributes.output.value"
}
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Service accounts may instead present an access token issued by an external identity provider (Microsoft Entra ID) when the account admin has configured that provider. Send it in the same header: Authorization: Bearer <access-token>.
Path Parameters
Response
Returns a single monitor object
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
A monitor. The type field discriminates which variant (and therefore which type-specific fields) applies.
Was this page helpful?